gnewsense-users
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [gNewSense-users] [Patch] kPovModeler useless in gNewSense


From: Matthew Flaschen
Subject: Re: [gNewSense-users] [Patch] kPovModeler useless in gNewSense
Date: Mon, 26 Mar 2007 03:41:03 -0400
User-agent: Thunderbird 1.5.0.10 (X11/20070306)

Matthew Flaschen wrote:
> Matthew Flaschen wrote:
> 
>> The script is attached as an svn
>> diff.  I would appreciate if someone looked at it.
> 
> Sorry.  I left in a mention of the wrong package from my cut-and-paste
> job.  The correct patch is attached.

Well, now it is...

Matt Flaschen
Index: gen-kdegraphics
===================================================================
--- gen-kdegraphics     (revision 0)
+++ gen-kdegraphics     (revision 0)
@@ -0,0 +1,38 @@
+#!/bin/bash
+#
+#    Copyright (C) 2006  Brian Brazil, 2007 Matthew Flaschen
+#
+#    This program is free software; you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation; either version 2 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program; if not, write to the Free Software
+#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+#
+
+set -ex
+
+. config
+
+rm -rf $WORKINGDIR
+mkdir -p $WORKINGDIR
+cd $WORKINGDIR
+
+$APTGET source kdegraphics$VERSION
+cd kdegraphics-*
+
+sed -i -e "s/, kpovmodeler [^,]*,/,/;
+           /Package: kpovmodeler/,/^$/ d" debian/control
+
+dch -D $RELEASE -v $(sed  -n 
'1s#^.*(\(.*\)).*#\1'${DISTRONAME_L}${KDEGRAPHICS_VERSION}'#p' 
debian/changelog)  "Removed all references to kpovmodler in debian/control and 
changed package to show a ${DISTRONAME} revision"
+
+dpkg-buildpackage -rfakeroot -us -uc
+cd ..
+reprepro -Vb $REPODST include $RELEASE ${DISTRONAME_L}-kdegraphics*.changes

Property changes on: gen-kdegraphics
___________________________________________________________________
Name: svn:executable
   + *


reply via email to

[Prev in Thread] Current Thread [Next in Thread]